GNU Radio C++ API Reference: rpcbasic_extractor< T, char > Class Template Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
rpcbasic_extractor< T, char > Class Template Reference

Specialized extractor class for char data. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions
| rpcbasic_extractor (T *source, void(T::*func)(char))
void | post (pmt::pmt_t which_port, pmt::pmt_t msg)
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from rpcextractor_base< T, char >
| rpcextractor_base (T *source, void(T::*func)(char))
| ~rpcextractor_base () override
void | post (pmt::pmt_t which_port, pmt::pmt_t msg) override
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from gr::messages::msg_accepter
| msg_accepter ()
virtual | ~msg_accepter ()

## Additional Inherited Members
Protected Attributes inherited from rpcextractor_base< T, char >
T * | _source
void(T::*) | _func (char)

## Detailed Description

template<typename T>
class rpcbasic_extractor< T, char >

Specialized extractor class for char data.

## Constructor & Destructor Documentation

## ◆ rpcbasic_extractor()

template<typename T>

rpcbasic_extractor< T, char >::rpcbasic_extractor | ( | T * | source,
|  | void(T::* | func )(char) )
| inline

References rpcextractor_base< T, char >::rpcextractor_base().

## Member Function Documentation

## ◆ post()

template<typename T>

void rpcbasic_extractor< T, char >::post | ( | pmt::pmt_t | which_port,
|  | pmt::pmt_t | msg )
| inlinevirtual

send `msg` to `msg_accepter` on port `which_port`

Sending a message is an asynchronous operation. The `post` call will not wait for the message either to arrive at the destination or to be received.

Implements gr::messages::msg_accepter.

References rpcextractor_base< T, Tto >::_func, rpcextractor_base< T, Tto >::_source, and pmt::to_long().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h